# Get user public profile

Gets the user information from their public profile by the user ID.


{% html name="div" attrs={"class": "notice"} %}
Notice

Rate limits for client-side methods are applied to this method.
{% /html %}

Endpoint: GET /users/{user_id}/public
Version: v1
Security: Bearer

## Path parameters:

  - `user_id` (string, required)
    User ID. You can find it in Publisher Account > your Login project > Users.

## Response 200 fields (application/json):

  - `avatar` (string)
    URL of the user avatar.
    Example: "https://pbs.twimg.com/profile_images/874276177757336672/kUuht00m_400x400.jpg"

  - `last_login` (string, required)
    Date of the last user login in the [RFC 3339 format](https://www.ietf.org/rfc/rfc3339.txt).
    Example: "2018-10-01T13:15:08+05:00"

  - `nickname` (string,null)
    User nickname.
    Example: "Quana"

  - `registered` (string, required)
    Date of user registration in the [RFC 3339 format](https://www.ietf.org/rfc/rfc3339.txt).
    Example: "2018-10-01T13:15:08+05:00"

  - `tag` (string)
    User tag without "#" at the beginning. Can have no unique value and can be used in the [Search users by nickname](https://developers.xsolla.com/api/login/operation/search-users-by-nickname) call.

  - `user_id` (string, required)
    The Xsolla Login user ID. You can find it in [Publisher Account](https://publisher.xsolla.com/) > your Login project > Users > Username/ID.
    Example: "2a6e0079-d7a7-11e8-963b-82010aa80778"

## Response 401 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 404 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 429 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.


